worker_processes auto;

events {
    worker_connections  512;
}

http {
    include mime.types;

    sendfile on;
    keepalive_timeout  120;

    gzip on;
    gzip_comp_level 6;
    gzip_types application/javascript application/json text/css text/csv image/x-icon image/svg+xml;

    server {
        listen 80;
        server_name "";
        root /var/www/html/public;

        try_files $uri @front;

        location = /favicon.ico {
            try_files $uri =204;
        }

        location @front {
            internal;
            fastcgi_pass fpm:9000;
            fastcgi_param SCRIPT_FILENAME $document_root/index.php;
            fastcgi_connect_timeout 60s;
            fastcgi_send_timeout 120s;
            fastcgi_read_timeout 120s;
            include fastcgi_params;
        }
    }
}
